Skip to main content
`Ctrl`+`K`
scipy.special.

# lqmn

scipy.special.lqmn(m, n, z)

  Sequence of associated Legendre functions of the second kind.

  Computes the associated Legendre function of the second kind of order m and degree n, `Qmn(z)` = \(Q_n^m(z)\), and its derivative, `Qmn'(z)`. Returns two arrays of size `(m+1, n+1)` containing `Qmn(z)` and `Qmn'(z)` for all orders from `0..m` and degrees from `0..n`.

  Parameters:
    m int

      `|m| <= n`; the order of the Legendre function.

    n int

      where `n >= 0`; the degree of the Legendre function. Often called `l` (lower case L) in descriptions of the associated Legendre function

    z array_like, complex

      Input value.

  Returns:
    Qmn_z(m+1, n+1) array

      Values for all orders 0..m and degrees 0..n

    Qmn_d_z(m+1, n+1) array

      Derivatives for all orders 0..m and degrees 0..n

  References

  [1]

  Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. https://people.sc.fsu.edu/~jburkardt/f77_src/special_functions/special_functions.html